<!--
SPDX-FileCopyrightText: 2022 Johannes Loher

SPDX-License-Identifier: CC0-1.0
-->

# Fanwerk Template

Ein LateX Template für Dungeonslayers Fanwerke.

## Benutzung

Um ein Fanwerk mit diesem Template zu erstellen, werden einfach alle Dateien
kopiert, und die `fanwerk-template.tex` Datei entsprechend umbenannt und dann
mit dem gewünschten Fanwerk Inhalt befüllt.

Um dann eine PDF Datei zu erstellen, muss das Fanwerk mit `LuaLaTeX` kompiliert
werden. Voraussetzung dafür ist eine installierte TeX-Distribution, am Besten
[TeX Live](https://tug.org/texlive/).

Kompilieren funktioniert dann z. B. auf der Kommandozeile mittels

```shellscript
latexmk -lualatex fanwerk-template.tex
```

Alternativ kann man die Kompilierfunktion von dedizierten TeX-Editoren, wie
z. B. [Texmaker](https://www.xm1math.net/texmaker/), oder [TeXstudio](https://www.texstudio.org/)
nutzen. Gut funktioniert auch [Visual Studio Code](https://code.visualstudio.com/)
in Kombination mit der [LaTeX Workshop](https://marketplace.visualstudio.com/items?itemName=James-Yu.latex-workshop)
Erweiterung.

## Schriftarten

Das Template verwendet drei verschiedene Schriftarten, die aus Lizenzgründen
leider nicht mitgeliefert werden können. Sie sind allerdings frei erhältlich,
man muss sie nur selbst in den `fonts` Ordner legen.

Die verwendeten Schriftarten sind:

* Georgia
* Woodstamp
* STIX Two Math

Damit das Template kompiliert werden kann, müssen also folgende Dateien im
`fonts` Ordner abgelegt werden:

* `georgia.ttf`
* `gerogiab.ttf`
* `georgiai.ttf`
* `georgiaz.ttf`
* `STIXTwoMath-Regular.otf`
* `Woodstamp.otf`

Alternativ kann man die Schriftarten auch als Systemschriftarten installieren,
dann muss man allerdings die Einrichtig der Schriftarten in der `fontsetup.tex`
Datei entsprechend anpassen.

## Creative Commons Lizenz Button

Der Creative Commons Lizenz Button im Footer des Templates ist ein Trademark von
Creative Commons und darf nur nach der entsprechenden [Policy](https://creativecommons.org/policies)
verwendet werden. Deswegen ist er nicht direkt im Template enthalten, sondern
muss von der [Creative Commons Seite](https://creativecommons.org/about/downloads/)
heruntergeladen werden und in den `img` Ordner gelegt werden. Es sollte das
`EPS` Format genutzt werden. Hier ist ein [Direktlink](https://mirrors.creativecommons.org/presskit/buttons/88x31/eps/by-nc-sa.eps).

## Lizensierung

Dieses Projekt verwendet [REUSE](https://reuse.software/) zur Angabe der
verwendenten Lizenzen. Mehr Informationen (inklusive der Urheberrechtsinhaber)
können in den einzelnen Dateien gefunden werden.
